Eclipse Platform Release 3.7

## org.eclipse.ui.menus
Interface IWorkbenchContribution

    public interface IWorkbenchContribution

Allow a menu contribution to be initialized with the appropriate service locator.

Since:
  3.4

Method Summary
`void` `initialize(IServiceLocator serviceLocator)` The service locator for this contribution.

Method Detail

### initialize

    void initialize(IServiceLocator serviceLocator)

  The service locator for this contribution. It will potentially exist longer than the lifecycle of this specific contribution, so ContributionItems should remove themselves from any listeners or services in their dispose() calls.

  Parameters:
    `serviceLocator` - the locator which services can be retrieved. Will not be `null`

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.